/* Endian.c
 * A small program to determine endian-ness of a machine.
 * M. Sean Finney 02.19.2001
 *
 * props to: Nicolas Devillard (http://www.eso.org/~ndevilla/endian/)
 * for an informative sample code, off of which this is based.
 */


#include <stdio.h>

int is_big_endian(void);

int main(void){
	printf("this lovely little tub of computing is ");
	if(is_big_endian) printf("big-");
	else printf("little-");
	printf("endian.\n");
}

int is_big_endian(void)
{
    int x = 1;
    return (*(char*)&x);
}
    
